#
# spec file for package python-iso8601
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-iso8601
Version:        0.1.11
Release:        1.1
Url:            http://code.google.com/p/pyiso8601/
Summary:        Simple module to parse ISO 8601 dates
License:        MIT
Group:          Development/Languages/Python
Source:         iso8601-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-pytest >= 2.4.2
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
Requires:       python-argparse
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Simple module to parse ISO 8601 dates

This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%setup -q -n iso8601-%{version}

%build
python setup.py build

%check
py.test --verbose iso8601

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 14 2016 tbechtold@suse.com
- update to 0.1.11:
  * Remove logging
  * Add support for , as separator for fractional part
  * Add Python 3.4 and 3.5 to tox test config.
  * Add PyPy 3 to tox test config.
  * Link to documentation at http://pyiso8601.readthedocs.org/
* Wed Mar 12 2014 speilicke@suse.com
- Update to version 0.1.10
  + Fixes https://bitbucket.org/micktwomey/pyiso8601/issue/14/regression-yyyy-mm-no-longer-parses
  + Adds YYYY as a valid date (uses 1 for both month and day)
  + Woo, semantic versioning, .10 at last.
- Changes from version 0.1.9:
  + Lots of fixes tightening up parsing from jdanjou.
  + Release addresses https://bitbucket.org/micktwomey/pyiso8601/issue/13/new-release-based-on-critical-bug-fix
- Run tests again
* Thu Feb 13 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Fri Oct 25 2013 dmueller@suse.com
- update to 0.1.8:
  * Remove +/- chars from README.rst and ensure tox tests run using LC_ALL=C.
  * Fix parsing of microseconds
  * Correct negative timezone offsets
  * Wow, it's alive! First update since 2007
  * Moved over to https://bitbucket.org/micktwomey/pyiso8601
  * Add support for python 3
  * Switched to py.test and tox for testing
  * Make seconds optional in date format
  * Correctly raise ParseError for more invalid inputs
  * Support more variations of ISO 8601 dates, times and time zone specs.
  * Fix microsecond rounding issues
  * Fix pickling and deepcopy of returned datetime objects
  * Fix timezone offsets without a separator
  * "Z" produces default timezone if one is specified
  * Handle compact date format
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Jan  7 2012 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Now build as noarch;
- Bzip2 source file.
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
- Added copyright notice
- Added .changes file
